Sync golang-yaml.v2 2.2.1-1 (universe) from Debian unstable (main)

Bug #1787626 reported by Hans Joachim Desserud
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
golang-yaml.v2 (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync golang-yaml.v2 2.2.1-1 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Stop building shared library package.
  * Stop building shared library package.
  * Stop building shared library package.
  * Merge from Debian unstable. Remaining changes:
    - Build shared lib package.

The most recent Ubuntu change seemed to revert earlier changes, resulting in an effectively empty delta.

Changelog entries since current cosmic version 0.0+git20170407.0.cd8b52f-1ubuntu2:

golang-yaml.v2 (2.2.1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream release 2.2.1
  * Apply "cme fix dpkg" fixes:
    - Bump Standards-Version from 4.0.0 to 4.1.3
    - Change source Priority from "extra" to "optional"
    - Add "Testsuite: autopkgtest-pkg-go"
    - Remove unneeded versioned dependencies
    - Rename license key from "MIT" to "Expat"
  * Activate debian/watch: Upstream has started releasing tarballs
  * Use debhelper (>= 11)
  * Bump Standards-Version to 4.1.4: Remove gen-orig-tgz
    (akin to get-orig-source) debian/rules target, etc.
  * Install new NOTICE file as required by the Apache-2.0 License
    (Fixes Lintian missing-notice-file-for-apache-license error)

 -- Anthony Fok <email address hidden> Wed, 11 Apr 2018 05:17:28 -0600

Revision history for this message
Simon Quigley (tsimonq2) wrote :

This bug was fixed in the package golang-yaml.v2 - 2.2.1-1
Sponsored for Hans Joachim Desserud (hjd)

---------------
golang-yaml.v2 (2.2.1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream release 2.2.1
  * Apply "cme fix dpkg" fixes:
    - Bump Standards-Version from 4.0.0 to 4.1.3
    - Change source Priority from "extra" to "optional"
    - Add "Testsuite: autopkgtest-pkg-go"
    - Remove unneeded versioned dependencies
    - Rename license key from "MIT" to "Expat"
  * Activate debian/watch: Upstream has started releasing tarballs
  * Use debhelper (>= 11)
  * Bump Standards-Version to 4.1.4: Remove gen-orig-tgz
    (akin to get-orig-source) debian/rules target, etc.
  * Install new NOTICE file as required by the Apache-2.0 License
    (Fixes Lintian missing-notice-file-for-apache-license error)

 -- Anthony Fok <email address hidden> Wed, 11 Apr 2018 05:17:28 -0600

Changed in golang-yaml.v2 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers